/* 
 * Copyright (c) 1991,1994 The University of Utah and
 * the Computer Systems Laboratory (CSL).  All rights reserved.
 *
 * Permission to use, copy, modify and distribute this software and its
 * documentation is hereby granted, provided that both the copyright
 * notice and this permission notice appear in all copies of the
 * software, derivative works or modified versions, and any portions
 * thereof, and that both notices appear in supporting documentation.
 *
 * THE UNIVERSITY OF UTAH AND CSL ALLOW FREE USE OF THIS SOFTWARE IN ITS "AS
 * IS" CONDITION.  THE UNIVERSITY OF UTAH AND CSL DISCLAIM ANY LIABILITY OF
 * ANY KIND FOR ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 *
 * CSL requests users of this software to return to csl-dist@cs.utah.edu any
 * improvements that they make and grant CSL redistribution rights.
 *
 * 	Utah $Hdr: lancons.h 1.2 94/11/10$
 *	Author: Bob Wheeler, University of Utah CSL
 */

/*
 * definitions for lan consoles
 */
#define ETHERTYPE_CONSOLE 0x7000	/* unassigned protocol type */

/*
 * format for lan console packets
 */
struct lancons_packet {
	u_char	dest[6];
	u_char	source[6];
	u_short	ether_type;
	u_short pad;
	u_char  count;
	u_char  data[128];
};
