/*
 * Copyright (c) 1991,1994, The University of Utah and
 * the Computer Systems Laboratory (CSL).  All rights reserved.
 *
 * Permission to use, copy, modify and distribute this software is hereby
 * granted provided that (1) source code retains these copyright, permission,
 * and disclaimer notices, and (2) redistributions including binaries
 * reproduce the notices in supporting documentation, and (3) all advertising
 * materials mentioning features or use of this software display the following
 * acknowledgement: ``This product includes software developed by the
 * Computer Systems Laboratory at the University of Utah.''
 *
 * THE UNIVERSITY OF UTAH AND CSL ALLOW FREE USE OF THIS SOFTWARE IN ITS "AS
 * IS" CONDITION.  THE UNIVERSITY OF UTAH AND CSL DISCLAIM ANY LIABILITY OF
 * ANY KIND FOR ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 *
 * CSL requests users of this software to return to csl-dist@cs.utah.edu any
 * improvements that they make and grant CSL redistribution rights.
 *
 *      Utah $Hdr: z80.h 1.5 94/12/14$
 */

/*
 *  (c) Copyright 1985 HEWLETT-PACKARD COMPANY
 *
 *  To anyone who acknowledges that this file is provided "AS IS"
 *  without any express or implied warranty:
 *      permission to use, copy, modify, and distribute this file
 *  for any purpose is hereby granted without fee, provided that
 *  the above copyright notice and this notice appears in all
 *  copies, and that the name of Hewlett-Packard Company not be
 *  used in advertising or publicity pertaining to distribution
 *  of the software without specific, written prior permission.
 *  Hewlett-Packard Company makes no representations about the
 *  suitability of this software for any purpose.
 */

/*
 *	Z80 download code for 6 port serial mux.
 *	Code from HP-UX "umux.dl" download file.
 */

#define	 Z80ADD  0x4000
#define  Z80SIZE 0x1502

u_char z80code [] = {
	 49,   0, 255,  17, 253,  84,  33,   0, 255, 175, 237,  82, 
	 43,  68,  77,  98, 107,  19, 119, 237, 176,  17,   0, 198, 
	 62,   6, 213,  33,  16,  65,   1,  51,   0, 237, 176, 209, 
	 33,  63,   0,  25, 235,  61,  32, 238,  14,   4,   6,   0, 
	 17,   2, 128,  33,   2, 160,  62,   1,  18, 119,  19,  19, 
	 19,  19,  35,  35,  35,  35,  16, 244,  13,  32, 241,  33, 
	  0, 128,  34, 122, 199,  33,   0, 160,  34, 124, 199,  33, 
	  0, 144,  34, 126, 199, 205, 229,  79, 205, 159,  66,  62, 
	 32,  50, 128, 199,  14,  48,   6,   3,  30,   2,  46, 160, 
	 22,   9,  38, 192, 237,  81, 237,  97, 237,  89, 237, 105, 
	121, 198,  96,  79, 125, 198,  16, 111,  16, 238,  14,  48, 
	  6,  30,  33,  37,  65, 237, 179,  12,  12,   6,  30,  33, 
	 37,  65, 237, 179, 121, 198,  94,  79, 254,  80,  32, 232, 
	  1, 163,  41,  33,  67,  65, 237, 179, 219, 161, 230,  63, 
	 50, 129, 199, 221,  33,   0, 198,   6,   6,  14,  48,  33, 
	  0, 192,  62,  16, 237, 121, 237, 120, 230,  56,   7,   7, 
	 95,  62,  18, 144,  87,  58, 129, 199,  15,  21,  32, 252, 
	230,  16, 179, 221, 119,  51, 221, 119,  52, 221, 113,  18, 
	 12, 221, 113,  19,  12,  62,   6, 144, 221, 119,  20, 221, 
	117,  14, 221, 116,  15,  17,  63,   0, 221,  25,  17,   0, 
	  1,  25,   5,  40,  10, 203,  64,  32, 189, 121, 198,  92, 
	 79,  24, 183, 237,  94, 251,   6,   0,  17,   0,   0,  26, 
	 19,  16, 252, 205, 184,  66,  24, 247,   2,  15,  48,  25, 
	 88,   2,   0, 255, 255,  17,  19,   0, 255,   0,   0,   0, 
	  0,   0,   0,   0,   0,   9,   0,   3, 192,   5,  96,  11, 
	 86,  14,   0,  12,  10,  13,   0,  14,   2,  14,   3,   4, 
	 68,   3, 192,   5, 104,   1,  23,  15, 128,   9,   9,   0, 
	  1,   0,   5,  10,  28, 130,  22,  36,  23,   0,   4, 224, 
	 40,   6,   3, 208,  43, 255,  42,  63,  34,  63,  47,   0, 
	 46,   0,  45,   0,  13, 127,  15,   8,   1, 212,   0, 140, 
	 10, 198,   9, 192,  58,  82, 255, 246,   8,  50,  82, 255, 
	  1,   6,   0,  17, 131, 199,  33, 139,  65, 237, 176,  17, 
	145,  65, 205, 187,  66, 205, 193,  66, 195, 181,  66,   7, 
	  3,   9, 235,  66,   5,   1, 131, 199,   6,   0, 175,  50, 
	137, 199,  33, 138, 199, 229, 243,  42, 124, 199, 237,  75, 
	122, 199, 237,  67, 124, 199,  58,  54, 198, 230, 249,  50, 
	 54, 198,  58, 117, 198, 230, 249,  50, 117, 198,  58, 180, 
	198, 230, 249,  50, 180, 198,  58, 243, 198, 230, 249,  50, 
	243, 198,  58,  50, 199, 230, 249,  50,  50, 199,  58, 113, 
	199, 230, 249,  50, 113, 199, 251, 120, 238,  32,  71, 237, 
	 67, 122, 199, 237,  66,  40,  15, 235, 225, 113,  35, 112, 
	 35, 115,  35, 114,  35, 229,  33, 137, 199,  52,  42, 126, 
	199, 253,  33,   0, 198,  17,  63,   0,   6,   6, 253, 203, 
	 54, 110,  32,  22,  62, 134, 144, 119,  35,  54, 128,  35, 
	 54,   1,  35, 253, 126,  16, 119,  35, 253, 119,  17, 195, 
	 55,  66, 253,  78,  16, 253, 126,  17, 169,  40,  16,  62, 
	134, 144, 119,  35,  54, 128,  35,  54,   1,  35, 113,  35, 
	253, 113,  17, 253, 126,   0, 230,   3, 254,   2,  32,  36, 
	253, 203,  54, 126,  40,  30, 243, 253, 126,  52, 253,  78, 
	 51, 169,  40,  19, 253, 113,  52, 251, 253, 126,  20, 119, 
	 35,  54,  16,  35,  54,   1,  35, 113,  35,  24,   1, 251, 
	253,  25,  16, 154,  54, 255,  35,   1,   0, 144, 175, 237, 
	 66, 235, 225, 113,  35, 112,  35,  58,  82, 255, 203,  95, 
	 32,   3,  19, 203, 131, 115,  35, 114,  33, 137, 199,  52, 
	 17, 137, 199, 205, 187,  66, 205, 193,  66,  33,   0, 144, 
	 34, 126, 199,  33, 130, 199, 203, 134, 195, 181,  66,  33, 
	108,  65,  34,  48, 255,  33, 150,  65,  34,  60, 255,  33, 
	196,  66,  34,  62, 255, 201, 195,  84, 255, 195,  87, 255, 
	195,  90, 255, 195,  93, 255, 195,  96, 255, 195,  99, 255, 
	 17,  74,  74, 205, 190,  66,  17,   0, 176,  33,   0, 192, 
	175, 237,  82,  48,   7,  14, 118, 205, 178,  66,  24,   5, 
	 26, 254, 255,  32,   6, 205, 193,  66, 195, 181,  66, 230, 
	127, 254,   6,  56,   4,  14, 116,  24, 230, 135,  79,   6, 
	  0,  33,  62,  74,   9,  78,  35,  70, 197, 253, 225,  26, 
	203, 127, 194, 125,  67,  19,  19,  26, 183, 202, 213,  66, 
	245, 243, 253,  78,  16, 253, 110,  14, 253, 102,  15, 251, 
	129,  48,   5, 225,  14, 119,  24, 183, 125, 129, 111, 229, 
	 26,  61, 133,  48,  21,  60,  79,  68,  26, 145, 225, 197, 
	 79,   6,   0, 235,  35, 237, 176, 209,  75,  88, 237, 176, 
	 24,   9,   6,   0,  26,  79, 225, 235,  35, 237, 176, 241, 
	235, 243, 253, 134,  16, 253, 119,  16,  60, 253, 119,  17, 
	253, 203,  53,  70,  32,  31, 253,  78,  18, 237, 120, 230, 
	  4,  40,  22, 253, 110,  14, 253, 102,  15, 126,  44, 253, 
	117,  14, 253,  53,  16, 253, 166,  12, 253,  78,  19, 237, 
	121, 251, 195, 205,  66,  19,  26,  19, 213, 203, 127, 194, 
	 29,  69, 254,   9, 242, 162,  67,  95, 135, 131,  95,  22, 
	  0,  33, 201,  73,  25, 209,  26,  19, 190, 194, 213,  66, 
	 35, 126,  35, 102, 111, 233, 209,  14, 117, 195, 215,  66, 
	 26,  71,  19, 213, 230,   3, 254,   1,  40,  45, 254,   2, 
	194, 154,  68, 243, 253, 112,   0, 253, 203,  53, 158, 175, 
	253, 119,  55, 253, 119,  56, 253, 119,  60, 253, 203,  44, 
	222, 253, 203,  42, 174, 253, 203,  54, 118, 202, 117,  68, 
	253, 203,  42, 198, 195, 117,  68,  62, 240, 253, 119,  13, 
	197, 205, 195,  71, 193, 253, 126,   0,  79, 230,   3, 254, 
	  2,  40,  63, 253, 203,   0, 102,  32,  57, 203,  96,  40, 
	 53, 243, 253, 203,  44, 126,  32,   6, 253, 126,  58, 183, 
	 40,  16,  62,   8,  14,  16, 253, 182,  51,  71, 253, 126, 
	 20, 205, 228,  75,  24, 112, 253, 203,  53,  86,  32, 106, 
	253, 203,  53,  94,  40,  12, 253, 203,  53, 158, 253, 112, 
	  0, 205, 131,  73,  24,  88, 253, 112,   0, 243, 253, 126, 
	 44, 230, 130, 254, 130,  32,  18, 253, 126,  51, 230, 176, 
	254, 176,  32,   9, 253, 229, 221, 225, 205,   9,  76,  24, 
	 57, 121, 230,   3, 254,   1,  40,  50, 253, 126,  51, 246, 
	  7,  71, 253, 126,  20,  14,  16, 205, 228,  75, 253, 229, 
	221, 225, 205,  36,  78, 253, 203,  42, 134, 253, 203,  44, 
	158, 253,  78,  18,  62,   3, 237, 121, 253, 126,  42, 237, 
	121,  62,   5, 237, 121, 253, 126,  44, 237, 121, 251, 209, 
	195, 205,  66,  26,  19, 213, 183,  40,   5, 254,  18, 250, 
	160,  68, 209,  14, 120, 195, 215,  66, 253, 119,   1, 243, 
	205,  34,  73, 251, 209, 195, 205,  66,  26,  19, 213,  71, 
	230,   3, 254,   3,  40, 228, 120, 230,  12, 254,  12,  40, 
	221, 120, 253, 119,   2, 243, 205, 106,  73, 205, 158,  72, 
	251, 209, 195, 205,  66,  26, 253, 119,   3,  24,  59,  26, 
	253, 119,   5,  98, 107,  19,  26, 253, 119,   4, 253, 203, 
	 53,  86,  40,  42, 182,  32,   8, 243, 253,  54,  60,   0, 
	251,  24,  31, 243,  26, 253, 119,  61, 126, 253, 119,  62, 
	253,  54,  60, 100, 251,  24,  15,  26, 253, 119,   6,  24, 
	  9,  26, 253, 119,   7,  19,  26, 253, 119,   8,  19, 195, 
	205,  66,  26, 253, 119,   9,  19,  26, 253, 119,  10,  24, 
	241, 214, 128, 254,  28, 242, 162,  67,  95, 135, 131,  95, 
	 22,   0,  33, 228,  73,  25, 209, 126, 254, 255,  32,   4, 
	 26,  19,  24,   6,  26,  19, 190, 194, 213,  66,  35,  78, 
	 35, 102, 105, 233, 253, 203,  53, 166, 253, 126,   0, 230, 
	  3, 254,   1,  32,  67, 253, 203,  53,  86,  32,  18, 253, 
	126,  51, 230, 176, 254, 176,  32,  19, 253, 126,  44, 230, 
	130, 254, 130,  32,  10, 243, 253, 229, 221, 225, 205,   9, 
	 76,  24,  32, 253, 126,   0, 230,  16,  32,  11, 243, 253, 
	 54,  58,   0, 253, 203,  53, 222,  24,  14, 243, 253, 126, 
	 58, 183,  40,   4, 213, 195,  10,  68, 205, 131,  73, 251, 
	195, 205,  66, 253, 203,  53, 158, 253, 126,   0, 230,   3, 
	254,   1, 194, 205,  66, 213, 243, 253, 229, 221, 225, 221, 
	203,  53, 230, 205,  36,  78, 251, 209, 195, 205,  66, 253, 
	203,  44, 230,  24,   4, 253, 203,  44, 166, 253,  78,  18, 
	 62,   5, 243, 237, 121, 253, 126,  44, 237, 121, 251, 195, 
	205,  66, 253, 203,  26, 142, 253, 203,  44, 142,  24,  28, 
	253, 203,  26, 206, 253, 203,  44, 206,  24,  18, 253, 203, 
	 26, 190, 253, 203,  44, 190,  24,   8, 253, 203,  26, 254, 
	253, 203,  44, 254, 253,  78,  18,  62,   5, 243, 237, 121, 
	253, 126,  44, 237, 121, 251, 195, 205,  66,  62,   0,  24, 
	  2,  62, 255, 253,  78,  20,   6,   0,  33,  56,  74,   9, 
	166,  71, 126,  47,  79, 219, 162, 161, 176, 211, 162, 195, 
	205,  66, 253,  54,  16,   0, 195, 205,  66, 253, 203,  53, 
	198, 195, 205,  66, 243, 253, 203,  53, 134, 253, 126,  16, 
	183,  40,  22, 253, 110,  14, 253, 102,  15, 126,  44, 253, 
	117,  14, 253,  53,  16, 253, 166,  12, 253,  78,  19, 237, 
	121, 251, 195, 205,  66, 253, 126,  20, 246, 128,  42, 126, 
	199, 119,  35,  54, 141,  35,  54,   1,  35, 243, 205, 108, 
	 72, 253, 119,  52,  71, 253, 126,  44, 251, 230, 130,   7, 
	176, 119,  35,  34, 126, 199, 195, 205,  66, 253, 126,  20, 
	246, 128,  42, 126, 199, 119,  35,  54, 142,  35,  54,   1, 
	 35,   6,   0, 253, 203,  53,  86,  32,   9, 253, 126,   0, 
	230,   3, 254,   1,  40,   2,   6,   1, 112,  35,  34, 126, 
	199, 195, 205,  66, 235, 253, 126,  20, 246, 128,  86,  35, 
	 94,  35,  70,  35, 229,  42, 126, 199, 119,  35,  54, 143, 
	 35, 112,  35,  26, 119,  19,  35,  16, 250,  34, 126, 199, 
	209, 195, 205,  66,  79, 253, 126,  20, 246, 128,   6,   0, 
	 42, 126, 199, 119,  35,  54, 144,  35, 113,  35, 235, 237, 
	176, 237,  83, 126, 199, 235, 195, 205,  66,  26,  50, 128, 
	199,  19, 213, 243, 205,  53,  72, 251, 209, 195, 205,  66, 
	 26, 253, 119,  11,  19, 195, 205,  66, 253, 203,  54, 182, 
	253, 203,  42, 134,  24,  24, 253, 203,  54, 246, 253, 126, 
	  0, 230,   3, 254,   2,  40,   7, 253, 203,  53,  86, 202, 
	205,  66, 253, 203,  42, 198, 253,  78,  18, 243,  62,   3, 
	237, 121, 253, 126,  42, 237, 121, 251, 195, 205,  66, 253, 
	126,   0, 254,   1,  32,   7, 253, 203,  53,  86, 202, 205, 
	 66, 253,  78,  18, 243, 237, 120, 230,   4,  40,  15, 253, 
	 78,  19, 253, 126,   9, 253, 166,  12, 237, 121, 251, 195, 
	205,  66, 253, 203,  53, 254, 253, 203,  53, 182, 251, 195, 
	205,  66, 253, 126,   0, 254,   1,  32,   7, 253, 203,  53, 
	 86, 202, 205,  66, 253,  78,  18, 243, 237, 120, 230,   4, 
	 40,  15, 253,  78,  19, 253, 126,  10, 253, 166,  12, 237, 
	121, 251, 195, 205,  66, 253, 203,  53, 246, 253, 203,  53, 
	190, 251, 253, 203,  54, 190, 195, 205,  66, 253, 203,  54, 
	254, 195, 205,  66,  26,  19, 213, 253, 119,  13, 205, 195, 
	 71, 209, 195, 205,  66, 253, 203,  54, 174, 195, 205,  66, 
	253, 203,  54, 238, 195, 205,  66,  71, 253,  78,  18, 230, 
	224,  15,  15, 246, 128, 111, 253, 119,  48,  62,  15, 243, 
	237, 121, 125, 237, 121, 251, 253,  94,  20,  22,   0,  33, 
	 56,  74,  25, 126, 203,  96,  32,  36, 243, 238, 255,  71, 
	 62,  45, 211, 163, 219, 163, 160,  79,  62,  45, 211, 163, 
	121, 211, 163,  62,  47, 211, 163, 219, 163, 160,  79,  62, 
	 47, 211, 163, 121, 211, 163,  24,  39,  71, 243,  62,  47, 
	211, 163, 219, 163, 176,  79,  62,  47, 211, 163, 121, 211, 
	163, 205, 108,  72, 230,  16,  32,  15,  62,  45, 211, 163, 
	219, 163, 176,  79,  62,  45, 211, 163, 121, 211, 163, 251, 
	201,  58, 128, 199,  71,  15,  15, 230,  14, 246,  16, 211, 
	160, 120, 230,  16, 246,   3,  95,  33,  38, 198,   1,  63, 
	  0,  62,   6, 115,   9,  61,  32, 251,  22,  14,   6,   3, 
	 58,  18, 198,  79, 237,  81, 237,  89,  12,  12, 237,  81, 
	237,  89, 121, 198,  94,  79,  16, 240, 213, 229,  22,   0, 
	253,  94,  20,  33,  56,  74,  25, 253,  78,  18, 237, 120, 
	230,  56,   7,   7,  79, 219, 161, 166,  87, 126, 238, 255, 
	 95,  58, 129, 199, 163, 178,  50, 129, 199, 122, 183, 121, 
	 40,   2, 246,  16, 253, 119,  51, 225, 209, 201, 253, 126, 
	  2, 230,  48, 254,  16,  32,   3,   7,  24,   5, 254,  32, 
	 32,   1,  15,   7,   7,  71, 253, 119,  24, 253, 119,  42, 
	253, 126,   0, 230,   3, 254,   1,  32,  12, 253, 203,  53, 
	 86,  40,  10, 253, 203,  54, 118,  40,   4, 253, 203,  42, 
	198, 203,   8, 253, 126,  44, 230, 130, 176,  71, 253, 112, 
	 26, 253, 126,   0, 230,   3, 254,   1,  32,   6, 253, 203, 
	 53,  86,  40,   4, 120, 246,   8,  71, 253, 112,  44, 253, 
	126,   2, 230,  12, 198,   4,  71, 253, 126,   2, 230,   3, 
	254,   1,  40,   9, 254,   2,  32,   4,  62,   3,  24,   1, 
	175, 176, 246,  64, 253, 119,  40, 253, 229, 225,   1,  21, 
	  0,   9,   6,  30, 253,  78,  18, 237, 179, 201, 253, 126, 
	  1,  79, 203,  33,   6,   0,  33,  70,  73,   9, 126, 253, 
	119,  32,  35, 126, 253, 119,  34, 253, 229, 225,   1,  29, 
	  0,   9,   6,  10, 253,  78,  18, 237, 179, 201,  10,   0, 
	254,   8, 254,   5,  21,   4,  87,   3, 254,   2, 126,   1, 
	190,   0, 126,   0,  94,   0,  62,   0,  46,   0,  30,   0, 
	 22,   0,  14,   0,  10,   0,   4,   0,   1,   0, 253, 126, 
	  2, 230,  48,  15,  15,  15,  15,  79,   6,   0,  33, 127, 
	 73,   9, 126, 253, 119,  12, 201,  31,  63, 127, 255, 253, 
	126,  26, 246, 130, 253, 119,  26, 253, 126,  44, 246, 130, 
	253, 119,  44, 253,  78,  18,  62,  64, 203,  73,  40,   2, 
	 62, 128,   6,   9, 237,  65, 237, 121,  62,   5, 237, 121, 
	253, 126,  26, 237, 121, 229, 213, 253, 229, 225,  17,  21, 
	  0,  25,   6,  30, 237, 179, 209, 225, 253, 126,   3, 183, 
	200, 253, 119,  57, 253,  54,  56, 100, 201,   0, 162,  67, 
	  1, 168,  67,   1, 143,  68,   1, 172,  68,   1, 205,  68, 
	  2, 211,  68,   1, 255,  68,   2,   5,  69,   2,  18,  69, 
	  0,  68,  69,   0, 151,  69,   0, 183,  69,   0, 189,  69, 
	  0, 210,  69,   0, 220,  69,   0, 230,  69,   0, 240,  69, 
	  0,   9,  70,   0,  13,  70,   0,  38,  70,   0,  45,  70, 
	  0,  52,  70,   0,  89,  70,   0, 129,  70, 255, 172,  70, 
	255, 208,  70,   1, 237,  70,   1, 252,  70,   0,   4,  71, 
	  0,  14,  71,   0,  55,  71,   0, 106,  71,   0, 154,  71, 
	  0, 161,  71,   1, 168,  71,   0, 181,  71,   0, 188,  71, 
	  1,   2,   4,   8,  16,  32,   0, 198,  63, 198, 126, 198, 
	189, 198, 252, 198,  59, 199,   1,   0, 176,   0,  16, 245, 
	197, 229, 213, 251, 221,  33,   0, 198,   6,   6,  33,  55, 
	198, 126, 183, 202, 213,  74,  53, 194, 213,  74, 221, 203, 
	 53,  86,  40,  28, 197,  62,   3, 221, 182,  51,  71,  14, 
	 16, 221, 126,  20, 243, 205, 228,  75, 205,  36,  78, 251, 
	221, 203,  53, 230, 193, 195, 113,  75, 221, 203,  51, 102, 
	 40,  24, 221, 203,  51, 110, 202, 113,  75, 221, 203,  51, 
	126, 202, 113,  75, 197, 243, 205,   9,  76, 251, 193, 195, 
	113,  75, 221, 126,   0, 254,   1, 194, 113,  75, 221, 203, 
	 44, 190, 221, 203,  44, 142, 221, 203,  26, 190, 221, 203, 
	 26, 142, 221,  78,  18,  62,   5, 237, 121, 221, 126,  44, 
	237, 121, 221, 203,  53, 222, 175, 221, 119,  56, 195, 113, 
	 75,  35, 175, 190,  40,  56,  53,  32,  53,  35,  53,  40, 
	  5,  43,  54, 100,  24,  44, 243, 205,  36,  78, 251, 221, 
	126,   0, 254,   1,  40,  25, 197, 221, 126,  51, 246,   6, 
	 71, 221, 126,  20,  14,  16, 243, 205, 228,  75, 251, 221, 
	203,  53, 230, 193, 195, 113,  75, 221, 203,  53, 222, 195, 
	113,  75,  35,  35, 175, 190,  40,  10,  53,  32,   7,  35, 
	 53,  40,   4,  43,  54, 100,  35,  35, 175, 190,  40,  73, 
	221, 203,  54,  70,  40,  22, 221, 203,  54, 134, 221, 126, 
	  4, 221, 119,  61, 221, 126,   5, 221, 119,  62, 221,  54, 
	 60, 100,  24,  45,  53,  32,  42,  35,  94,  35,  86,  27, 
	122, 179,  40,   8, 114,  43, 115,  43,  54, 100,  24,  25, 
	197, 221, 126,  51, 246,   5,  71, 221, 126,  20,  14,  16, 
	243, 205, 228,  75, 205,  36,  78, 251, 193, 221, 203,  54, 
	214, 221, 203,  53, 102,  40,  33, 221, 126,  51, 230, 144, 
	 32,  26, 197, 221, 126,  51, 246,   9,  71, 221, 126,  20, 
	 14,  16, 243, 205, 228,  75, 251, 221, 203,  53, 166, 221, 
	203,  54, 214, 193,  58, 130, 199, 203,  71,  32,  38, 221, 
	203,  11,  70,  40,  10, 221, 203,  54,  78,  40,   4,  14, 
	 17,  24,  14, 221, 203,  11,  94,  40,  16, 221, 203,  54, 
	 86,  40,  10,  14,  20, 203, 199,  50, 130, 199, 205, 178, 
	 66,  17,  63,   0, 221,  25, 221, 229, 225,  17,  55,   0, 
	 25,   5, 194,  93,  74, 243,  62,  10, 211, 163,  62,  36, 
	211, 163, 209, 225, 193, 241, 251, 201,  42, 124, 199, 203, 
	100,  40,   8,  43,  43,  43,  62,  32, 182, 119, 201, 119, 
	 35, 113,  35,  35, 112,  35,  34, 124, 199, 201, 245, 197, 
	229, 213,  33, 146, 199,  52, 195, 213,  75, 175, 221, 119, 
	 56, 221, 203,  53, 166, 221, 203,  53, 214,  62,  10, 221, 
	203,   0, 102,  32,   2,  62,   1, 221, 182,  51,  71,  14, 
	 16, 221, 126,  20, 205, 228,  75, 221, 203,  54, 214, 221, 
	203,  54, 118,  40,   4, 221, 203,  42, 198, 221, 203,  42, 
	238, 221,  78,  18,  62,   3, 237, 121, 221, 126,  42, 237, 
	121, 221, 203,  44, 222,  62,   5, 237, 121, 221, 126,  44, 
	237, 121, 221,  70,   4, 221,  78,   5, 120, 177, 200, 221, 
	112,  61, 221, 113,  62,  62, 100, 221, 119,  60, 201, 217, 
	  8, 221, 229, 221,  33,   0, 198, 219, 161, 230,  63,  71, 
	 14,   0, 203,  71,  40,   2,  14,  16,  33, 129, 199, 126, 
	168, 203,  71, 202,  22,  78,  62,  45, 211, 163, 219, 163, 
	203, 135, 203, 198, 203,  64, 194, 169,  77, 203, 199, 203, 
	134, 195, 169,  77, 217,   8, 221, 229, 221,  33,  63, 198, 
	219, 161, 230,  63,  71,  14,   0, 203,  79,  40,   2,  14, 
	 16,  33, 129, 199, 126, 168, 203,  79, 202,  22,  78,  62, 
	 45, 211, 163, 219, 163, 203, 143, 203, 206, 203,  72, 194, 
	169,  77, 203, 207, 203, 142, 195, 169,  77, 217,   8, 221, 
	229, 221,  33, 126, 198, 219, 161, 230,  63,  71,  14,   0, 
	203,  87,  40,   2,  14,  16,  33, 129, 199, 126, 168, 203, 
	 87, 202,  22,  78,  62,  45, 211, 163, 219, 163, 203, 151, 
	203, 214, 203,  80, 194, 169,  77, 203, 215, 203, 150, 195, 
	169,  77, 217,   8, 221, 229, 221,  33, 189, 198, 219, 161, 
	230,  63,  71,  14,   0, 203,  95,  40,   2,  14,  16,  33, 
	129, 199, 126, 168, 203,  95, 202,  22,  78,  62,  45, 211, 
	163, 219, 163, 203, 159, 203, 222, 203,  88, 194, 169,  77, 
	203, 223, 203, 158, 195, 169,  77, 217,   8, 221, 229, 221, 
	 33, 252, 198, 219, 161, 230,  63,  71,  14,   0, 203, 103, 
	 40,   2,  14,  16,  33, 129, 199, 126, 168, 203, 103, 202, 
	 22,  78,  62,  45, 211, 163, 219, 163, 203, 167, 203, 230, 
	203,  96, 194, 169,  77, 203, 231, 203, 166, 195, 169,  77, 
	217,   8, 221, 229, 221,  33,  59, 199, 219, 161, 230,  63, 
	 71,  14,   0, 203, 111,  40,   2,  14,  16,  33, 129, 199, 
	126, 168, 203, 111, 202,  22,  78,  62,  45, 211, 163, 219, 
	163, 203, 175, 203, 238, 203, 104, 194, 169,  77, 203, 239, 
	203, 174, 195, 169,  77, 245,  62,  45, 211, 163, 241, 211, 
	163, 221, 126,  51, 230, 224, 177, 221, 119,  51, 221, 126, 
	  0, 230,   3, 254,   1,  40,  23, 221, 203,  54, 126,  32, 
	 11, 221,  70,  51,  14,  16, 221, 126,  20, 205, 228,  75, 
	221, 203,  54, 214,  24,  60, 221, 126,  44, 203, 127,  40, 
	 53, 221, 203,  53,  86,  40,  15, 221, 203,  53, 230, 205, 
	 36,  78,  62,   2, 221, 182,  51,  71,  24, 214, 221, 203, 
	 51, 102,  40,  26, 221, 126,   6, 183,  40,   5, 221, 119, 
	 55,  24,  15, 221, 203,  51, 110,  40,   9, 221, 203,  51, 
	126,  40,   3, 205,   9,  76,  62,   9, 211, 163,  62,  32, 
	211, 163, 221, 225,   8, 217, 251, 201, 221, 203,  53, 150, 
	221, 203,  42, 134, 221, 203,  42, 174, 221, 203,  44, 158, 
	221, 203,  44, 190, 221, 203,  44, 142, 221, 203,  44, 166, 
	221, 203,  26, 190, 221, 203,  26, 142, 221,  78,  18,  62, 
	  3, 237, 121, 221, 126,  42, 237, 121,  62,   5, 237, 121, 
	221, 126,  44, 237, 121, 175, 221, 119,  55, 221, 119,  56, 
	221, 119,  60, 201, 221, 229, 221,  33,   0, 198,  24,  38, 
	221, 229, 221,  33,  63, 198,  24,  30, 221, 229, 221,  33, 
	126, 198,  24,  22, 221, 229, 221,  33, 189, 198,  24,  14, 
	221, 229, 221,  33, 252, 198,  24,   6, 221, 229, 221,  33, 
	 59, 199,   8, 217, 221,  78,  18, 237,  64,  62,  16, 237, 
	121, 221, 203,  53,  78,  32,  18, 203, 120,  40,  55, 221, 
	203,  53, 206,  62,   1, 237, 121,  62,   7, 237, 121,  24, 
	 41, 203, 120,  32,  37, 221, 203,  53, 142, 197,  62,  48, 
	237, 121,  62,   1, 237, 121,  62,  23, 237, 121,  12, 237, 
	 64,  14,   8, 221, 126,  20, 205, 228,  75, 221, 203,  54, 
	206, 221, 203,  54, 198, 193, 120, 230,  56,   7,   7,  79, 
	221, 126,  51,  87, 230,  16, 177, 221, 119,  51, 170, 203, 
	127,  40,  29, 221, 126,   0, 230,   3, 254,   1, 194, 138, 
	 79, 221, 203,  53,  86,  40,  77, 203, 104, 194, 216,  79, 
	221, 203,  53, 230,  62,   4,  24,  40, 203, 111,  40,  92, 
	221, 126,   0, 230,   3, 254,   1, 194, 138,  79, 221, 203, 
	 53,  86,  40,  44, 203,  88,  32,  33, 221, 126,   6, 221, 
	119,  55, 183, 194, 216,  79, 221, 203,  53, 230,  62,   3, 
	221, 182,  51,  71,  14,  16, 221, 126,  20, 205, 228,  75, 
	205,  36,  78,  24,  78, 175, 221, 119,  55, 195, 216,  79, 
	221, 203,  44, 126,  40, 126, 221, 203,  51, 102,  40, 241, 
	221, 126,  55, 183,  32, 235, 203,  88,  40, 231, 203, 104, 
	202, 216,  79, 205,   9,  76,  24,  39, 203, 119,  40,  96, 
	221, 126,   0,  79, 230,   3, 254,   1,  40,  31, 221,  54, 
	 58, 100, 221,  54,  59,  10, 221, 203,  54, 126,  32,  11, 
	221,  70,  51,  14,  16, 221, 126,  20, 205, 228,  75, 221, 
	203,  54, 214,  24,  55, 203,  96,  40,  51, 221, 203,  53, 
	 94,  32,  30, 221, 203,  53,  86,  32,  39, 221,  54,  58, 
	100, 221,  54,  59,  10, 221, 203,  44, 126,  40,  25, 121, 
	254,   1,  40,  20,  62,   8, 195,  60,  79, 221, 203,  53, 
	158, 253, 229, 221, 229, 253, 225, 205, 131,  73, 253, 225, 
	221,  78,  18,  62,  56, 237, 121, 221, 225,   8, 217, 251, 
	201,   1,  80,   0,  17, 160, 255, 122, 237,  71,  33, 244, 
	 79, 237, 176, 201,  47,  83, 104,  78,  68,  80, 198,  82, 
	124,  83, 112,  78, 175,  80, 206,  82, 201,  83, 120,  78, 
	 26,  81, 214,  82,  22,  84, 128,  78, 133,  81, 222,  82, 
	 99,  84, 136,  78, 240,  81, 230,  82, 176,  84, 144,  78, 
	 91,  82, 238,  82, 107,  76, 160,  76, 213,  76,  10,  77, 
	 63,  77, 116,  77,   0,   0,   0,   0,   0,   0,   0,   0, 
	 79,  74, 254,  75,   0,   0,   0,   0,   0,   0,   0,   0, 
	  8, 217, 219,  49,  33,  12, 198, 166,  33,   8, 198, 190, 
	 40,  38,  43, 190,  40,  45,  42, 124, 199, 203, 100,  32, 
	 73,  54,   0,  35,  54,   0,  35,  35, 119,  35,  34, 124, 
	199,  33,  54, 198, 126, 246,   3, 119,  62,  56, 211,  48, 
	217,   8, 251, 201, 254, 255,  40, 218,  33,  53, 198, 203, 
	198,  24, 211, 254, 255,  40, 207,  33,  53, 198, 203, 134, 
	245,  33,  16, 198, 126, 183,  40,  15,  53,  42,  14, 198, 
	126,  44,  34,  14, 198,  33,  12, 198, 166, 211,  49, 241, 
	 24, 176,  43,  43,  43,  62,  32, 182, 119,  24, 186,   8, 
	217, 219,  51,  33,  75, 198, 166,  33,  71, 198, 190,  40, 
	 38,  43, 190,  40,  45,  42, 124, 199, 203, 100,  32,  73, 
	 54,   1,  35,  54,   0,  35,  35, 119,  35,  34, 124, 199, 
	 33, 117, 198, 126, 246,   3, 119,  62,  56, 211,  50, 217, 
	  8, 251, 201, 254, 255,  40, 218,  33, 116, 198, 203, 198, 
	 24, 211, 254, 255,  40, 207,  33, 116, 198, 203, 134, 245, 
	 33,  79, 198, 126, 183,  40,  15,  53,  42,  77, 198, 126, 
	 44,  34,  77, 198,  33,  75, 198, 166, 211,  51, 241,  24, 
	176,  43,  43,  43,  62,  32, 182, 119,  24, 186,   8, 217, 
	219, 145,  33, 138, 198, 166,  33, 134, 198, 190,  40,  38, 
	 43, 190,  40,  45,  42, 124, 199, 203, 100,  32,  73,  54, 
	  2,  35,  54,   0,  35,  35, 119,  35,  34, 124, 199,  33, 
	180, 198, 126, 246,   3, 119,  62,  56, 211, 144, 217,   8, 
	251, 201, 254, 255,  40, 218,  33, 179, 198, 203, 198,  24, 
	211, 254, 255,  40, 207,  33, 179, 198, 203, 134, 245,  33, 
	142, 198, 126, 183,  40,  15,  53,  42, 140, 198, 126,  44, 
	 34, 140, 198,  33, 138, 198, 166, 211, 145, 241,  24, 176, 
	 43,  43,  43,  62,  32, 182, 119,  24, 186,   8, 217, 219, 
	147,  33, 201, 198, 166,  33, 197, 198, 190,  40,  38,  43, 
	190,  40,  45,  42, 124, 199, 203, 100,  32,  73,  54,   3, 
	 35,  54,   0,  35,  35, 119,  35,  34, 124, 199,  33, 243, 
	198, 126, 246,   3, 119,  62,  56, 211, 146, 217,   8, 251, 
	201, 254, 255,  40, 218,  33, 242, 198, 203, 198,  24, 211, 
	254, 255,  40, 207,  33, 242, 198, 203, 134, 245,  33, 205, 
	198, 126, 183,  40,  15,  53,  42, 203, 198, 126,  44,  34, 
	203, 198,  33, 201, 198, 166, 211, 147, 241,  24, 176,  43, 
	 43,  43,  62,  32, 182, 119,  24, 186,   8, 217, 219, 241, 
	 33,   8, 199, 166,  33,   4, 199, 190,  40,  38,  43, 190, 
	 40,  45,  42, 124, 199, 203, 100,  32,  73,  54,   4,  35, 
	 54,   0,  35,  35, 119,  35,  34, 124, 199,  33,  50, 199, 
	126, 246,   3, 119,  62,  56, 211, 240, 217,   8, 251, 201, 
	254, 255,  40, 218,  33,  49, 199, 203, 198,  24, 211, 254, 
	255,  40, 207,  33,  49, 199, 203, 134, 245,  33,  12, 199, 
	126, 183,  40,  15,  53,  42,  10, 199, 126,  44,  34,  10, 
	199,  33,   8, 199, 166, 211, 241, 241,  24, 176,  43,  43, 
	 43,  62,  32, 182, 119,  24, 186,   8, 217, 219, 243,  33, 
	 71, 199, 166,  33,  67, 199, 190,  40,  38,  43, 190,  40, 
	 45,  42, 124, 199, 203, 100,  32,  73,  54,   5,  35,  54, 
	  0,  35,  35, 119,  35,  34, 124, 199,  33, 113, 199, 126, 
	246,   3, 119,  62,  56, 211, 242, 217,   8, 251, 201, 254, 
	255,  40, 218,  33, 112, 199, 203, 198,  24, 211, 254, 255, 
	 40, 207,  33, 112, 199, 203, 134, 245,  33,  75, 199, 126, 
	183,  40,  15,  53,  42,  73, 199, 126,  44,  34,  73, 199, 
	 33,  71, 199, 166, 211, 243, 241,  24, 176,  43,  43,  43, 
	 62,  32, 182, 119,  24, 186, 221, 229, 221,  33,   0, 198, 
	 24,  40, 221, 229, 221,  33,  63, 198,  24,  32, 221, 229, 
	221,  33, 126, 198,  24,  24, 221, 229, 221,  33, 189, 198, 
	 24,  16, 221, 229, 221,  33, 252, 198,  24,   8, 221, 229, 
	221,  33,  59, 199,  24,   0, 217,   8, 221,  78,  18,  62, 
	  1, 237, 121, 237, 120, 230, 112,  15,  15,  15,  15,  95, 
	 62,  48, 237, 121,  12, 237, 120, 221, 166,  12,  71,  75, 
	221, 126,  20, 205, 228,  75, 221, 203,  54, 198, 221, 203, 
	 54, 206, 221,  78,  18,  62,  56, 237, 121, 221, 225, 217, 
	  8, 251, 201, 217,   8,  58,  53, 198, 230, 192,  32,  47, 
	 58,  53, 198, 230,   1,  32,  34,  33,  16, 198, 182,  40, 
	 28,  53,  42,  14, 198, 126,  44,  34,  14, 198,  33,  12, 
	198, 166, 211,  49,  33,  54, 198, 203, 198,  62,  56, 211, 
	 48,   8, 217, 251, 201,  62,  40, 211,  48,  24, 242,  33, 
	 53, 198, 203, 119,  32,   7,  58,   9, 198, 203, 190,  24, 
	217,  58,  10, 198, 203, 182,  24, 210, 217,   8,  58, 116, 
	198, 230, 192,  32,  47,  58, 116, 198, 230,   1,  32,  34, 
	 33,  79, 198, 182,  40,  28,  53,  42,  77, 198, 126,  44, 
	 34,  77, 198,  33,  75, 198, 166, 211,  51,  33, 117, 198, 
	203, 198,  62,  56, 211,  50,   8, 217, 251, 201,  62,  40, 
	211,  50,  24, 242,  33, 116, 198, 203, 119,  32,   7,  58, 
	 72, 198, 203, 190,  24, 217,  58,  73, 198, 203, 182,  24, 
	210, 217,   8,  58, 179, 198, 230, 192,  32,  47,  58, 179, 
	198, 230,   1,  32,  34,  33, 142, 198, 182,  40,  28,  53, 
	 42, 140, 198, 126,  44,  34, 140, 198,  33, 138, 198, 166, 
	211, 145,  33, 180, 198, 203, 198,  62,  56, 211, 144,   8, 
	217, 251, 201,  62,  40, 211, 144,  24, 242,  33, 179, 198, 
	203, 119,  32,   7,  58, 135, 198, 203, 190,  24, 217,  58, 
	136, 198, 203, 182,  24, 210, 217,   8,  58, 242, 198, 230, 
	192,  32,  47,  58, 242, 198, 230,   1,  32,  34,  33, 205, 
	198, 182,  40,  28,  53,  42, 203, 198, 126,  44,  34, 203, 
	198,  33, 201, 198, 166, 211, 147,  33, 243, 198, 203, 198, 
	 62,  56, 211, 146,   8, 217, 251, 201,  62,  40, 211, 146, 
	 24, 242,  33, 242, 198, 203, 119,  32,   7,  58, 198, 198, 
	203, 190,  24, 217,  58, 199, 198, 203, 182,  24, 210, 217, 
	  8,  58,  49, 199, 230, 192,  32,  47,  58,  49, 199, 230, 
	  1,  32,  34,  33,  12, 199, 182,  40,  28,  53,  42,  10, 
	199, 126,  44,  34,  10, 199,  33,   8, 199, 166, 211, 241, 
	 33,  50, 199, 203, 198,  62,  56, 211, 240,   8, 217, 251, 
	201,  62,  40, 211, 240,  24, 242,  33,  49, 199, 203, 119, 
	 32,   7,  58,   5, 199, 203, 190,  24, 217,  58,   6, 199, 
	203, 182,  24, 210, 217,   8,  58, 112, 199, 230, 192,  32, 
	 47,  58, 112, 199, 230,   1,  32,  34,  33,  75, 199, 182, 
	 40,  28,  53,  42,  73, 199, 126,  44,  34,  73, 199,  33, 
	 71, 199, 166, 211, 243,  33, 113, 199, 203, 198,  62,  56, 
	211, 242,   8, 217, 251, 201,  62,  40, 211, 242,  24, 242, 
	 33, 112, 199, 203, 119,  32,   7,  58,  68, 199, 203, 190, 
	 24, 217,  58,  69, 199, 203, 182,  24, 210,   0,  71,  71, 
	 90,  18
};
